# Contributing to Open Live Writer
Open Live Writer is an open source project and wouldn't exist without the passionate community of volunteer
[contributors](https://github.com/OpenLiveWriter/OpenLiveWriter/graphs/contributors).
This project has adopted the code of conduct defined by the [Contributor Covenant](http://contributor-covenant.org/)
to clarify expected behavior in our community. 
For more information see the [.NET Foundation Code of Conduct](http://www.dotnetfoundation.org/code-of-conduct).

## Issues
If you have found a bug or have an idea for a new feature / enhancement then please take
a look at the Issues. You can search the Issues to see if someone has a similar problem
or idea by using the Filter box. If your issue is a new one then please create it.

When creating issues, please provide as much information as possible.  The following 
information is recommended:

 - Type of blog server you are using Live Writer with (i.e. Blogger, Wordpress etc) or
   the URL of the blog you are trying to post to.
   
 - The operating system version you are running on (i.e. Windows 10, Windows 8.1, Windows 7)
 
 - Detailed steps to be able to reproduce the error that you found
 
 - Any details of the error that you saw, screen shots of error dialogs are great. You can get
   access to your Open Live Writer logs by going to File, About Open Live Writer, Show log file.
   If you can see an error message that looks to be related to your issue then please include
   details of that as well.

## Documentation
There are three main types of documentation for Open Live Writer and we'd love your help with
all of them.
 1. End user documentation: Showing how to get the best out of Open Live Writer. End user
    documentation is best provided on the http://openlivewriter.org site, and the source
    code for it is over in the [OpenLiveWriter.github.io](https://github.com/OpenLiveWriter/OpenLiveWriter.Github.io) repo.
 2. Plugin Developer documentation: Details and examples about how to write plugins for 
    Open Live Writer.
 3. Developer documentation: Showing how to build, test and submit new bug fixes or features to
    Open Live Writer.

If you would like to contribute to the documentation then please send a Pull Request with your changes
using the instructions below. 
 
## Developers
We would love your contributions to making Open Live Writer better. To find more information
about developing Open Live Writer then please see the links below:

* [Building, testing and debugging the sources](https://github.com/OpenLiveWriter/OpenLiveWriter/wiki/Building,-Testing,-and-Debugging)

To contribute code to the project simply:
  1. Fork the repo and clone locally
  2. Create a specific topic branch, add a nice feature or fix your bug
  3. Send a Pull Request to spread the fun!

If you haven't already, please sign the [.NET Foundation CLA](http://cla2.dotnetfoundation.org) to give us 
permission to include your contributions in the next release of Open Live Writer.

If you would like to discuss a change you are thinking of doing before you start work on it then feel free to raise an
issue. The developers for Open Live Writer [chat on Gitter](https://gitter.im/OpenLiveWriter/OpenLiveWriter?utm_source=badge&utm_medium=badge&utm_campaign=pr-badge) when they are online 
[![Gitter](https://badges.gitter.im/Join%20Chat.svg)](https://gitter.im/OpenLiveWriter/OpenLiveWriter?utm_source=badge&utm_medium=badge&utm_campaign=pr-badge)
