##### Q: What is this?
A: Open Live Writer is an open source fork of the original Windows Live Writer; an application for authoring, editing, and publishing weblog posts.

##### Q: Does this replace Windows Live Writer?
A: Technically no, spiritually yes.  Open Live Writer is designed to run side-by-side with Windows Live Writer so you can still use Windows Live Writer as you have been.  Spiritually, the volunteer team hopes that Open Live Writer will have all of the functionality of Windows Live Writer and much more.  One of the best things about Windows Live Writer was the community behind it, thus the community can really get involved with Open Live Writer.

##### Q: Why the .NET Foundation?
A: The codebase is approximately 200,000 lines of C# so it was a good fit. Take a look at their [About](http://www.dotnetfoundation.org/about) page to learn more.

##### Q: Does it work on older versions of Windows? 
A: We focused on Windows 10 for the v0.5 release.  We hope to support Windows 7 and Windows 8 for a while at least.  We will not be able to support Windows XP due to the version of .NET used.

##### Q: Does it work on a Mac?  On Linux?
A: Since .NET runs on Mac OS and Linux, it is possible to port some of the code to run on Mac OS or Linux. But significant portions of the code use Windows-specific APIs. You are welcome to find the code on GitHub and fork it to run under Mono - that would be awesome.

##### Q: Is this really free?
A: Yes! Open Live Writer is licensed under the open source [MIT license](https://github.com/OpenLiveWriter/OpenLiveWriter/blob/master/license.txt). If someone made you pay for your copy of Open Live Writer then ask for your money back and go download from http://openlivewriter.org

##### Q: I found a bug, what do I do?
A: Add to an existing issue or create a new issue via GitHub: https://github.com/OpenLiveWriter/OpenLiveWriter/issues/new
   Before creating a new issue, make sure that the issue does not already exist and feel free to add to the issue.
   When creating a new issue, identify as much information as you can to assist the developers in fixing the issue.  It would be 
   helpful to include the log file and any messages you received.  The log file is found at %localappdata%\OpenLiveWriter . An easy way
   to get to it is to navigate to File | About | Show log file which is on the lower left of the about dialog box.

##### Q: How can I get involved?
A: WELCOME!  We definitely love contributions!  

##### Q: Do Windows Live Writer plug-ins work with Open Live Writer?
A: We’re looking at plug-ins for the v1.0 release. We want to build a future home for all the great open source plugins that existed for Windows Live Writer.

##### Q: Will there be a plug-in gallery like there was for Windows Live Writer?
A: Since Open Live Writer is an open source project run by volunteers, we might start with something simple like a wiki page; but if you’re interested, this would be a great community contribution.

##### Q: Is this abandonware?               
A: Quite the opposite.  Microsoft Corp. did not see a business case to continue investing in Windows Live Writer, but a bunch of passionate volunteers inside and outside of Microsoft spent early mornings, late evenings, and weekends to help fork the Windows Live Writer code and make any necessary edits so it could be released under the MIT License as Open Live Writer.  Hopefully there will be a vibrant community of contributors and committers for Open Live Writer - we'd love for you to get involved.

##### Q: How can I support this effort?
A: Here are a few ways you can support the Open Live Writer effort:
 * Use the product
 * If you like it, tell your friends
 * If you have suggestions, tell the volunteer team
 * Raise an issue or contribute code at [GitHub](https://github.com/OpenLiveWriter/OpenLiveWriter)

##### Q: Can I subscribe to announcements?
A: YES, we have an email list to which we’ll be sending announcements, [please subscribe](http://eepurl.com/bI77cP)
