// Copyright (c) .NET Foundation. All rights reserved.
// Licensed under the MIT license. See LICENSE file in the project root for details.

namespace OpenLiveWriter.CoreServices
{
    /// <summary>
    /// Defines additional dataformat constants describing commonly used
    /// dataobject (clipboard) formats.
    /// </summary>
    public class DataFormatsEx
    {
        /// <summary>
        /// Constants representing formats used by the clipboard
        /// </summary>
        public const string URLFormat = "UniformResourceLocator";
        public const string FileGroupDescriptorWFormat = "FileGroupDescriptorW";
        public const string FileGroupDescriptorFormat = "FileGroupDescriptor";
        public const string FileContentsFormat = "FileContents";
    }
}
