// Copyright (c) .NET Foundation. All rights reserved.
// Licensed under the MIT license. See LICENSE file in the project root for details.

namespace OpenLiveWriter.CoreServices
{
    /// <summary>
    /// A set of constants representing HTML tags, attributes, and other tokens
    /// as strings.
    /// </summary>
    public struct HTMLTokens
    {
        public const string A = "A";
        public const string B = "B";
        public const string Blockquote = "BLOCKQUOTE";
        public const string Body = "BODY";
        public const string Br = "BR";
        public const string Cite = "CITE";
        public const string Div = "DIV";
        public const string Em = "EM";
        public const string Form = "FORM";
        public const string Hr = "HR";

        public const string H1 = "H1";
        public const string H2 = "H2";
        public const string H3 = "H3";
        public const string H4 = "H4";
        public const string H5 = "H5";
        public const string H6 = "H6";

        public const string I = "I";
        public const string Id = "ID";
        public const string Ilayer = "ILAYER";
        public const string IFrame = "IFRAME";
        public const string Input = "INPUT";
        public const string Img = "IMG";
        public const string Li = "LI";
        public const string Ol = "OL";
        public const string P = "P";
        public const string Strong = "STRONG";
        public const string Ul = "UL";
        public const string Dl = "DL";
        public const string Dt = "DT";
        public const string Dd = "DD";
        public const string Dir = "DIR";
        public const string Embed = "EMBED";
        public const string Menu = "MENU";
        public const string Object = "OBJECT";
        public const string Option = "OPTION";
        public const string Frame = "FRAME";
        public const string Link = "LINK";
        public const string Select = "SELECT";
        public const string Script = "SCRIPT";
        public const string Area = "AREA";
        public const string Param = "PARAM";
        public const string Td = "TD";
        public const string Tr = "TR";
        public const string Table = "TABLE";
        public const string Meta = "META";
        public const string Head = "HEAD";
        public const string Pre = "PRE";
        public const string Style = "STYLE";
        public const string Width = "WIDTH";
        public const string Height = "HEIGHT";
        public const string Import = "IMPORT";

        public const string Action = "ACTION";
        public const string Alt = "ALT";
        public const string Href = "HREF";
        public const string Src = "SRC";
        public const string Movie = "MOVIE";
        public const string Background = "BACKGROUND";
        public const string Name = "NAME";
        public const string Value = "VALUE";
        public const string Target = "TARGET";
        public const string Method = "METHOD";
        public const string Enctype = "ENCTYPE";
        public const string Size = "SIZE";
        public const string Type = "TYPE";
        public const string Content = "CONTENT";
        public const string HttpEquiv = "HTTP-EQUIV";
        public const string Class = "CLASS";

        public const string Author = "AUTHOR";
        public const string ContentType = "CONTENT-TYPE";
        public const string Charset = "CHARSET";
        public const string Pragma = "PRAGMA";
        public const string Robots = "ROBOTS";
        public const string Description = "DESCRIPTION";
        public const string Generator = "GENERATOR";
        public const string CopyRight = "COPYRIGHT";
        public const string Keywords = "KEYWORDS";

        public const string Html = "HTML";
        public const string Title = "TITLE";
        public const string Base = "BASE";
        public const string BaseFont = "BASEFONT";
        public const string Col = "COL";
        public const string Isindex = "ISINDEX";

        public const string FrameSet = "FRAMESET";

        public const string Rel = "REL";
        public const string NoScript = "NOSCRIPT";

    }
}
