// Copyright (c) .NET Foundation. All rights reserved.
// Licensed under the MIT license. See LICENSE file in the project root for details.

namespace OpenLiveWriter.Localization
{
    public enum CommandId
    {
        None,
        About = 23395,
        Accounts = 30022,
        ActivateContextualTab = 23422,
        AddDecorator = 23424,
        AddPlugin = 23046,
        AddTagProvider = 23393,
        AddToDictionary = 23425,
        AddToGlossary = 23426,
        AddWeblog = 23336,
        AdjustBottomMargin = 1054,
        AdjustLeftMargin = 1055,
        AdjustRightMargin = 1056,
        AdjustTopMargin = 1053,
        AlignCenter = 1031,
        AlignLeft = 1029,
        AlignmentGallery = 1051,
        AlignmentGroup = 1050,
        AlignNone = 23398,
        AlignRight = 1030,
        ApplySemanticHeader1 = 23427,
        ApplySemanticHeader2 = 23428,
        ApplySemanticHeader3 = 23429,
        ApplySemanticHeader4 = 23430,
        ApplySemanticHeader5 = 23431,
        ApplySemanticHeader6 = 23432,
        ApplySemanticParagraph = 23488,
        Blockquote = 1028,
        BlogClientOptions = 50506,
        BlogProviderBlogGroup = 23354,
        BlogProviderButtonsGallery = 23344,
        BlogProviderShortcutsGroup = 23348,
        BlogProviderTab = 30002,
        BlogProviderThemeGroup = 23343,
        Bold = 1010,
        BreaksGroup = 23352,
        BrowserGroup = 23341,
        Bullets = 1026,
        CellProperties = 23389,
        CheckSpelling = 1015,
        Clear = 23434,
        ClearCell = 23397,
        ClearFormatting = 1003,
        ClipboardGroup = 23040,
        Close = 23020,
        ClosePreview = 23339,
        Colorize = 23435,
        ColumnProperties = 23387,
        ConfigureWeblog = 23335,
        CopyCommand = 1036,
        CustomSizeGallery = 1079,
        CustomSizeLarge = 1105,
        CustomSizeMedium = 1104,
        CustomSizeOriginal = 1106,
        CustomSizeSmall = 1103,
        Cut = 1035,
        DebugTab = 30015,
        Delete = 23436,
        DeleteColumn = 23382,
        DeleteDraft = 23421,
        DeleteRow = 23381,
        DeleteTable = 23383,
        DiagnosticsConsole = 50500,
        DialogDebugGroup = 50401,
        EditLink = 23437,
        EditTags = 23370,
        FileMenu = 23010,
        FindAndReplace = 1018,
        FindButton = 1017,
        FixWordSpelling = 23438,
        FocusNextPane = 23439,
        FocusPreviousPane = 23440,
        Font = 23441,
        FontBackgroundColor = 1025,
        FontColor = 23442,
        FontColorPicker = 1013,
        FontFamily = 1001,
        FontGroup = 1000,
        FontSize = 1002,
        FormatAlbumAddPhotos = 23423,
        FormatAlbumEdit = 1065,
        FormatAlbumExpiration = 1067,
        FormatAlbumOrganizeGroup = 1063,
        FormatAlbumPropertiesGroup = 1066,
        FormatAlbumSetAlbumPrivacy = 1068,
        FormatAlbumShuffleCoverPictures = 1064,
        FormatAlbumStyleGallery = 1070,
        FormatAlbumStyleGroup = 1069,
        FormatImageAdjustHeight = 1078,
        FormatImageAdjustWidth = 1077,
        FormatImageAltText = 1098,
        FormatImageLinkOptions = 1097,
        FormatImageLockAspectRatio = 1081,
        FormatImagePropertiesGroup = 1095,
        FormatImageRevertSettings = 1101,
        FormatImageRotateGroup = 1082,
        FormatImageSelectLink = 1096,
        FormatImageSettingsGroup = 1099,
        FormatImageSizeGroup = 1075,
        FormatImageStyleGroup = 1086,
        FormatImageTab = 1074,
        FormatMapEdit = 23420,
        FormatMapGroup = 23417,
        FormatMapPropertiesGroup = 23419,
        FormatMapTab = 30017,
        FormatPhotoAlbumTab = 1072,
        FormatTableEditingGroup = 23384,
        FormatTableInsertGroup = 23371,
        FormatTableMoveGroup = 23372,
        FormatTablePropertiesGroup = 23385,
        FormatTablePropertiesSplit = 23390,
        FormatTableTab = 30020,
        FormatTagPropertiesGroup = 23369,
        FormatTagProvidersGroup = 23392,
        FormatTagTab = 30019,
        FormatVideoGroup = 1059,
        FormatVideoTab = 1058,
        GeneralDebugGroup = 50400,
        Glossary = 23443,
        Help = 23304,
        HomeTab = 30000,
        IgnoreAll = 23444,
        IgnoreOnce = 23445,
        ImageArrangeGallery = 30064,
        ImageBorderGallery = 1087,
        ImageBrightness = 23031,
        ImageContextTabGroup = 1073,
        ImageContrast = 1093,
        ImageCrop = 1076,
        ImageDecoratorApply = 23446,
        ImageEffectBlackAndWhite = 23447,
        ImageEffectColorPop = 23448,
        ImageEffectColorTemperature = 23449,
        ImageEffectEmboss = 23450,
        ImageEffectGaussianBlur = 23451,
        ImageEffectsBlurGallery = 1091,
        ImageEffectsEmbossGallery = 1092,
        ImageEffectSepiaTone = 23452,
        ImageEffectsGallery = 1088,
        ImageEffectSharpen = 23453,
        ImageEffectsRecolorGallery = 1089,
        ImageEffectsSharpenGallery = 1090,
        ImageLinkToNone = 1109,
        ImageLinkToSource = 1107,
        ImageLinkToUrl = 1108,
        ImageReset = 23454,
        ImageRotate = 23455,
        ImageRotateCCW = 1084,
        ImageRotateCW = 1083,
        ImageSaveDefaults = 1100,
        ImageTilt = 1085,
        Indent = 1046,
        InsertClearBreak = 1039,
        InsertColumnLeft = 23377,
        InsertColumnRight = 23378,
        InsertEmoticon = 1102,
        InsertExtendedEntry = 23349,
        InsertGroup = 30060,
        InsertHorizontalLine = 1022,
        InsertImageSplit = 23052,
        InsertLink = 1023,
        InsertLoremIpsum = 50509,
        InsertMap = 23273,
        InsertMenu = 23456,
        InsertPhotoAlbumSplit = 23054,
        InsertPictureFromFile = 1040,
        InsertRowAbove = 23373,
        InsertRowBelow = 23374,
        InsertTab = 30001,
        InsertTable = 23278,
        InsertTable2 = 23457,
        InsertTags = 23274,
        InsertVideoFromFile = 23276,
        InsertVideoFromService = 23277,
        InsertVideoFromWeb = 23275,
        InsertVideoSplit = 23053,
        Italic = 1009,
        Justify = 1032,
        LargePhotoUploadSize = 1112,
        LTRTextBlock = 1049,
        ManagePlugins = 23047,
        ManageTagProviders = 23394,
        MapAddPushpin = 23458,
        MapCenterMap = 23459,
        MapContextTabGroup = 30007,
        MapDeletePushpin = 23460,
        MapEditPushpin = 23461,
        MapWebPreview = 23418,
        MapZoomCityLevel = 23462,
        MapZoomRegionLevel = 23463,
        MapZoomStreetLevel = 23464,
        MarginsGroup = 1052,
        MediaGroup = 30051,
        MediumPhotoUploadSize = 1111,
        MoveColumnLeft = 23379,
        MoveColumnRight = 23380,
        MoveRowDown = 23376,
        MoveRowUp = 23375,
        MRUList = 23268,
        NewPage = 23296,
        NewPost = 23295,
        Numbers = 1027,
        OpenDraftMRU0 = 23307,
        OpenDraftMRU1 = 23308,
        OpenDraftMRU2 = 23309,
        OpenDraftMRU3 = 23310,
        OpenDraftMRU4 = 23311,
        OpenDraftMRU5 = 23312,
        OpenDraftMRU6 = 23313,
        OpenDraftMRU7 = 23314,
        OpenDraftMRU8 = 23315,
        OpenDraftMRU9 = 23316,
        OpenDrafts = 23465,
        OpenDraftSplit = 23306,
        OpenLink = 23466,
        OpenPost = 23303,
        OpenPostMRU0 = 23318,
        OpenPostMRU1 = 23319,
        OpenPostMRU2 = 23320,
        OpenPostMRU3 = 23321,
        OpenPostMRU4 = 23322,
        OpenPostMRU5 = 23323,
        OpenPostMRU6 = 23324,
        OpenPostMRU7 = 23325,
        OpenPostMRU8 = 23326,
        OpenPostMRU9 = 23327,
        OpenPostSplit = 23317,
        OpenRecentPosts = 23467,
        OpenSpellingForm = 23468,
        Options = 23200,
        OriginalPhotoUploadSize = 1113,
        Outdent = 1047,
        ParagraphGroup = 1114,
        Paste = 1033,
        PasteSpecial = 1037,
        PasteSplit = 23051,
        PhotoAlbum = 1061,
        PhotoAlbumContextTabGroup = 1071,
        PhotoAlbumFromWeb = 1062,
        PhotoUploadSize = 1110,
        PluginsGallery = 30056,
        PluginsGroup = 30053,
        PostAndPublish = 23302,
        PostAsDraft = 23298,
        PostAsDraftAndEditOnline = 23299,
        PostProperties = 23469,
        PreviewGroup = 23332,
        PreviewTab = 30016,
        Print = 23300,
        PrintPreview = 23301,
        PublishGroup = 30066,
        QAT = 50000,
        RaiseAssertion = 50514,
        RecentPost = 23470,
        Redo = 1044,
        RemoveDecorator = 23471,
        RemoveLink = 23472,
        RemoveLinkAndClearFormatting = 23473,
        RowProperties = 23386,
        RTLTextBlock = 1048,
        SavePost = 23297,
        SelectAll = 1045,
        SelectBlog = 23305,
        SemanticHtmlGallery = 1021,
        SemanticHtmlGroup = 1020,
        SetCustomSizeDefaults = 1080,
        ShowAtomImageEndpointSelector = 50513,
        ShowBetaExpiredDialogs = 50502,
        ShowCategoryPopup = 23474,
        ShowDisplayMessageTestForm = 50507,
        ShowErrorDialog = 50505,
        ShowGoogleCaptcha = 50515,
        ShowImageUploadError = 23475,
        ShowMenu = 23476,
        ShowSupportingFilesForm = 50508,
        ShowUpdateMessage = 50503,
        ShowVideoErrorMessage = 23477,
        ShowWebLayoutWarning = 50504,
        SplitNew = 23251,
        SplitPrint = 23253,
        SplitSave = 23252,
        Strikethrough = 1007,
        Style = 23478,
        Subscript = 1005,
        Superscript = 1006,
        TableContextTabGroup = 30006,
        TableMenu = 23479,
        TableProperties = 23388,
        TablesGroup = 30052,
        TagContextTabGroup = 30005,
        TerminateProcess = 50516,
        TextDebugGroup = 50402,
        TextEditingGroup = 1014,
        ToolsMenu = 23480,
        Underline = 1008,
        Undo = 1043,
        UpdateWeblogStyle = 23340,
        ValidateDebugGroup = 50403,
        ValidateHtml = 50510,
        ValidateLocalizedResources = 50512,
        ValidateXhtml = 50511,
        VideoAspectRatioGroup = 1115,
        VideoContextTabGroup = 1057,
        VideoStandardAspectRatio = 1117,
        VideoWebPreview = 1060,
        VideoWidescreenAspectRatio = 1116,
        ViewCode = 23481,
        ViewNormal = 23482,
        ViewPlainText = 1024,
        ViewPreview = 23483,
        ViewSidebar = 23484,
        ViewSource = 50517,
        ViewUseStyles = 23342,
        ViewWeblog = 23353,
        ViewWeblogAdmin = 23485,
        Watermark = 1094,
        WebImage = 23033,
        WeblogMenu = 23486,
        WeblogPicker = 23487,
        WordCount = 1016
    }
}
