// Copyright (c) .NET Foundation. All rights reserved.
// Licensed under the MIT license. See LICENSE file in the project root for details.

namespace OpenLiveWriter.Localization
{
    public enum MessageId
    {
        None,
        AddBlogUrlFormatError,
        AutoRecoverPromptDiscardConfirm,
        AutoreplaceAlreadyExists,
        AutoreplacePhraseRequired,
        AutoreplaceReplacementRequired,
        BetaError,
        BloggerError,
        CannotInsert,
        CategoryReminder,
        ConfirmDeleteAutoReplaceEntry,
        ConfirmDeleteDraft,
        ConfirmDeleteEntry,
        ConfirmDeletePost,
        ConfirmDeleteTable,
        ConfirmOverwrite,
        ConfirmRemoveWeblog,
        ConfirmReplaceEntry,
        ConnectionTimeout,
        DirectoryFail,
        EntryFound,
        ErrorConnecting,
        ErrorConnectingPromptContinue,
        FileInUse,
        FileNotFound,
        FinishedSearchingDocument,
        FtpServerUnavailable,
        FtpSettingsRequired,
        GoogleAuthTokenNotFound,
        GoogleBloggerLoginRequired,
        GuestNotSupported,
        HomepageUrlInvalid,
        HomepageUrlRequired,
        HostNameRequired,
        IncompatiblePostInfoType,
        InputIsNotUrl,
        InternetConnectionWarning,
        InvalidHostname,
        InvalidInsertionPoint,
        InvalidNumberNonNegative,
        InvalidNumberPositiveOnly,
        InvalidPingUrl,
        InvalidWebImage,
        LocalDeleteConfirmation,
        LoginFailed,
        MalformedHtmlIgnored,
        MappingVerificationFailed,
        MapsNoInternetConnection,
        MultipleCategoriesNotSupported,
        MultipleLinks,
        MustAcceptTermsOfUse,
        NoImageSelected,
        NoLinkTextSpecified,
        NoMapAddressSpecified,
        NonImageTypeFileSelected,
        NoPostSelected,
        NoPreviewAvailable,
        NoSoapboxVideoSelected,
        NoSuchImageFile,
        NoSuchPublishFolder,
        NoTags,
        NoTitleSpecified,
        NotLinkable,
        NoUpdateAvailable,
        NoValidHyperlinkSpecified,
        NoVideoFound,
        PassportUsernameAndPasswordRequired,
        PasteSpecialInvalidData,
        PersonalDirectoryFail,
        PicasawebSignup,
        PingUrlRequired,
        PluginBitmapLoadError,
        PluginInvalidAttribute,
        PluginStatusChanged,
        PluginUnexpectedLoadError,
        PostFileInvalid,
        PostFileNoExist,
        PostTitleTooLong,
        PublishCanceledByPlugin,
        PublishFailed,
        PushpinValidationError,
        QueryForCreateEditorTemplate,
        QueryForUnpostedEntry,
        QueryForUnpublishedEntry,
        QueryForUnsavedChanges,
        ReadOnlyPostFile,
        RepublishAsDraftUnsupported,
        RequiredFieldOmitted,
        SelectEntry,
        ServerParameterNotSpecified,
        ShouldUsePlugin,
        SoapboxLoginError,
        SpacesPublishingNotEnabled,
        SpellCheckCancelledStillPost,
        SpellCheckComplete,
        TagConfirmDeleteProvider,
        TagConfirmRestoreProviders,
        TagFormatRequired,
        TagMissingToken,
        TagProviderNameRequired,
        TagReminder,
        TagSelectProvider,
        TemplateDownloadFailed,
        TempPostDeleteFailed,
        TempPostPermission,
        TitleNotLinkable,
        UnableToRetrieve,
        UnexpectedErrorLogin,
        UnknownLoginError,
        UnspecifiedValue,
        UrlMappingRequired,
        UsernameAndPasswordRequired,
        ValueExceedsMaximum,
        ValueLessThanMinimum,
        VideoAccessError,
        VideoFailedPublish,
        VideoLoginRequired,
        VideoPathInvalid,
        VideoPublisherFailed,
        VideoRequiredFields,
        VideoUnexpectedDownloadError,
        WeblogAuthenticationError,
        WeblogConnectionError,
        WeblogDetectionUnexpectedError,
        WeblogNoAccountsOnServer,
        WeblogUrlNotFound,
        WidthHeightRequired,
        WordpressHomepageWrong,
        WriterCannotStart,
        YouTubeError,
        YouTubeSignup
    }
}

